#pragma once
#include "keymap.h"

#define LAYER_SYMBOLS LAYOUT_ergodox(\
	KC_NO,          KC_EXLM,        KC_AT,          KC_HASH,        KC_DLR,         KC_PERC,        KC_NO,\
	KC_NO,          KC_GRAVE,       KC_LPRN,        KC_RPRN,        KC_QUES,        KC_LCBR,        KC_NO,\
	KC_NO,          KC_TILD,        KC_QUOTE,       KC_COMMA,       KC_DOT,         KC_DQUO,\
	KC_NO,          KC_NO,          KC_LBRACKET,    KC_RBRACKET,    KC_EXLM,        KC_RCBR,        KC_NO,\
	KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,\
\
	KC_NO,          KC_NO,\
	KC_NO,\
	KC_TRANSPARENT, KC_TRANSPARENT, KC_NO,\
\
\
	KC_NO,          KC_CIRC,        KC_AMPR,        KC_ASTR,        KC_NO,          KC_NO,          KC_NO,\
	KC_NO,          KC_LABK,        KC_RABK,        KC_SLASH,       KC_NO,          KC_BSLASH,      KC_NO,\
	KC_UNDS,        KC_MINUS,       KC_COLN,        KC_TRANSPARENT, KC_PIPE,        KC_NO,\
	KC_NO,          KC_EQUAL,       KC_PLUS,        KC_SCOLON,      KC_NO,          KC_NO,          KC_NO,\
	KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,\
\
	KC_NO,          KC_NO,\
	KC_NO,\
	KC_NO,          KC_NO,          KC_TRANSPARENT\
)

#define LAYER_SYMBOLS_LEDS LEDS_ergodox(\
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_ORANGE,    LC_CYAN,      LC_CYAN,      LC_PINK,      LC_CYAN, \
	LC_ORANGE,    LC_PINK,      LC_PINK,      LC_PINK,      LC_PINK, \
	LC_OFF,       LC_CYAN,      LC_CYAN,      LC_PINK,      LC_CYAN, \
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	\
	LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
	LC_GREEN,     LC_GREEN,     LC_CYAN,      LC_OFF,       LC_CYAN, \
	LC_CYAN,      LC_GREEN,     LC_PINK,      LC_ORANGE,    LC_CYAN, \
	LC_GREEN,     LC_GREEN,     LC_PINK,      LC_OFF,       LC_OFF, \
	              LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
)
